Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00207 Graphics Minor Have not tried Jan 27, 2008, 03:42 4 days ago
Tester Kold666 View Status Public Platform
Assigned To Resolution Open OS
Status [?] Confirmed Driver
Version 0.122u5 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 00207: pulirula: On the PCB the shadows of all the sprites are waving instead of being fixed like mame.
Description On the PCB the shadows of all the sprites are waving instead of being fixed like mame.
Steps To Reproduce
Additional Information
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems pulirula
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
9
User avatar
No.01605
nicolasa
Developer
Jul 13, 2008, 14:22
Is it possible to have some screenshot or movie please?
User avatar
No.01611
Kold666
Developer
Jul 14, 2008, 07:29
later I'll do a video with my phone
User avatar
No.01621
Haze
Senior Tester
Jul 14, 2008, 12:41
didn't Stefan provide some screenshot / videos of this over on the old Mametesters board? I'm pretty sure I've seen a video of the missing effect at some point...
User avatar
No.01622
Kold666
Developer
Jul 14, 2008, 12:54
yes,the snaps + video should be on an old mametester forum post about pulirula
User avatar
No.01623
Stefan Lindberg
Senior Tester
Jul 14, 2008, 13:12
edited on: Jul 14, 2008, 13:14
I found my old recordings and uploaded them here: http://www.ym2149.com/arcade/pulirula_mov.zip
"shaking" would probalby be a better description for the effect :-)
It's only the edges that moves.

And the movement is very irregular and can sometimes be static so i was actually wondering if this was caused by a damage on the PCB or something, but now Kold666 have the PCB also and it happens for him then it's an MAMEbug :-)
I belive there was a shrinking enemy (a witch?) at the later levels that had the same effect when shrinking to small size.
User avatar
No.01625
Haze
Senior Tester
Jul 14, 2008, 15:15
I think somebody mentioned that one of the Japan console releases simulates the effect too, which would indicate that it was by design, not a fault (or a fault they incorporated into the game design ;-)
User avatar
No.01632
Kold666
Developer
Jul 14, 2008, 17:14
yes, the movement is very variable. Sometimes the shadows shake rapidly, sometimes slowly or they stand still...
User avatar
No.16656
MetalGod
Senior Tester
Jul 14, 2019, 20:04
edited on: Jul 16, 2019, 10:14
Taken from a japanese pcb:

and yes, home console versions simulate the effect, just check any video of the saturn or psx on youtube.
User avatar
No.21039
TremiRodomi
Tester
4 days ago
edited on: 4 days ago
Coming in here to say that this is definitely confirmed behavior of the real PCB. Another PCB playthrough is included below, and it shows the effect in full:

The game's inclusion on the Egret II Mini also additionally confirms the behavior, as it's shown below. It's a little hard to see but it's definitely there. I can also record footage from my own unit if clearer footage is needed.